#ifndef JWT_H
#define JWT_H

#ifdef __cplusplus
extern "C"
{
#endif

    auto create_token(const char* user_id, const char* secret) noexcept -> char*;

    auto get_payload(const char* token) noexcept -> char*;

    auto verify_token(const char* token, const char* secret) noexcept -> int;

#ifdef __cplusplus
}
#endif

#endif // JWT_H
